<!doctype html>
<html>
<head>
    <title>Solars</title>
    <link type="text/css" rel="stylesheet" href="/css/bootstrap.min.css"/>
    <link type="text/css" rel="stylesheet" href="/css/bootstrap-vue.css"/>
	<link type="text/css" rel="stylesheet" href="/style.css"/>
    <script src="/js/vue.js"></script>
    <script src="/js/polyfill.min.js"></script>
    <script src="/js/tether.min.js"></script>
    <script src="/js/bootstrap-vue.js"></script>
    <!--<script src="https://unpkg.com/vue-chartjs@2.6.0/dist/vue-chartjs.full.min.js"></script>-->
	<script src="/vue-chartjs.full.js"></script>
    <script src="/Chart.bundle.min.js"></script>
</head>
<body>

<div id="chartjs">
	<ul>
		<chart-item
				v-for="chart in charts"
				v-bind:element="chart"
				v-bind:name="chart.id"
				v-bind:key="chart.id"
		>
		</chart-item>
	</ul>
</div>

<div class="container-fluid">
	<div class="menu">
		<h3>Выберите участок</h3>
		<div id="locationList">
			<ul>
				<element-item
						v-for="item in elements"
						v-bind:element="item"
						v-bind:typeofdata="typeofdata"
						:method="methodname"
						v-bind:key="item.id"
				>
				</element-item>
			</ul>
		</div>
	
		<div id="invertorsList">
			<h3>{{ locationtxt }}</h3>
			<ul>
				<element-item
						v-for="item in elements"
						v-bind:element="item"
						v-bind:typeofdata="typeofdata"
						:method="methodname"
						v-bind:key="item.id"
				>
				</element-item>
			</ul>
		</div>
		<div id="optionsList">
			<input v-model="datestart" type="date" id="datestart" name="datestart">
            -
			<input v-model="dateend" type="date" id="dateend" name="dateend">
			</br>
			<ul>
				<element-item
						v-for="item in elements"
						v-bind:element="item"
						v-bind:typeofdata="typeofdata"
						:method="methodname"
						v-bind:key="item.id"
				>
				</element-item>
			</ul>
		</div>
		<div id="reportsList">

			<div v-if="seen">
                {{ invertor }}
				<ul>
					<element-item
							v-for="item in elements"
							v-bind:element="item"
							v-bind:typeofdata="typeofdata"
							:method="methodname"
							v-bind:key="item.id"
					>
					</element-item>
				</ul>
			</div>
		</div>
	</div>
    <div id="graphics2">
        {{ message }}
        </br>
        <line-chart-new
                v-for="dataset in graphicsdata"
                :data="dataset"
                v-on:click.ctrl.native="remove"
        >
            
        </line-chart-new>
    </div>
</div>
<script src="/socket.io/socket.io.js"></script>
<script src="/ru.js"></script>
<script src="/main.js"></script>

<script>

</script>


</body>
</html>